Bug 893450 (CVE-2013-0170)

Summary: CVE-2013-0170 libvirt: use-after-free in virNetMessageFree()
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: acathrow, berrange, dallan, dyasny, eblake, jdenemar, jlieskov, jrusnack, libvirt-maint, pkrempa, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130128,reported=20130104,source=redhat,cvss2=6.8/AV:A/AC:H/Au:N/C:C/I:C/A:C,rhel-5/libvirt=notaffected,rhel-6/libvirt=affected,fedora-all/libvirt=affected,cwe=CWE-416
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-28 14:36:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 891837, 893452, 905173    
Bug Blocks: 893454, 894041    

Description Petr Matousek 2013-01-09 06:12:16 EST
A flaw was found in the way message freeing on connection cleanup was handled under certain error conditions. A remote user able to issue commands to libvirt daemon could use this flaw to crash libvirtd or, potentially, escalate their privilages to that of libvirtd process.

Acknowledgements:

This issue was discovered by Tingting Zheng of Red Hat.
Comment 3 Vincent Danen 2013-01-24 10:58:14 EST
Statement:

Not vulnerable. This issue did not affect the versions of libvirt as shipped with Red Hat Enterprise Linux 5.
Comment 4 Vincent Danen 2013-01-28 13:35:39 EST
Created libvirt tracking bugs for this issue

Affects: fedora-all [bug 905173]
Comment 5 errata-xmlrpc 2013-01-28 14:12:33 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0199 https://rhn.redhat.com/errata/RHSA-2013-0199.html
Comment 6 Jan Lieskovsky 2013-01-29 08:17:59 EST
Relevant upstream patch:
  http://libvirt.org/git/?p=libvirt.git;a=commit;h=46532e3e8ed5f5a736a02f67d6c805492f9ca720
Comment 7 Fedora Update System 2013-02-05 11:54:02 EST
libvirt-0.10.2.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-02-07 21:07:33 EST
libvirt-0.9.6.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-02-07 21:28:07 EST
libvirt-0.9.11.9-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.